<template>
  <div class="rightRrid">
    <div class="gridItem" v-for="(item, index) in product" :key="index">
      <div class="title">
        <ImageShow :src="item.logoUrl"></ImageShow>
        {{ item.modelName }}
      </div>
      <div class="des limitRow2">
        {{ item.description }}
      </div>
      <price :priceNew="item.priceBase"></price>
      <div class="button" @click="buyProduct(item.id)">立即安装</div>
    </div>
  </div>
</template>

<script>
import price from "@/components/Price.vue";

export default {
  props: {
    data: {
      type: Object,
    },
  },
  components: {
    price,
  },
  data() {
    return {
      product: [],
    };
  },
  created() {
    if (this.data.product.length > 6) {
      this.product = this.data.product.slice(0, 6);
    } else {
      this.product = this.data.product;
    }
  },
  methods: {
    buyProduct(id) {
      this.$router.push({
        path: "/productDetail",
        query: {
          id: id,
        },
      });
    },
  },
};
</script>

<style lang="scss" scoped>
.rightRrid {
  display: flex;
  flex-wrap: wrap;
  flex: 1;
  height: 100%;

  .gridItem {
    box-sizing: border-box;
    padding: 20px;
    height: 231px;
    width: 326px;
    border-right: 1px solid #e9ebee;
    border-bottom: 1px solid #e9ebee;
    background-color: #fff;
    cursor: default;

    &:hover {
      position: relative;
      z-index: 1;
      box-shadow: 0px 2px 16px rgba(0, 43, 106, 0.25);
    }

    &:nth-child(n + 4) {
      border-bottom: none;
    }

    &:nth-child(3n) {
      border-right: none;
    }

    .title {
      margin-bottom: 12px;
      font-size: 18px;
      font-weight: 700;
      img {
        width: 40px;
        vertical-align: middle;
      }
    }

    .des {
      margin-bottom: 10px;
      height: 35px;
      font-size: 14px;
      color: #666666;
    }

    .Price {
      margin-bottom: 16px;
      margin-left: 0;
    }

    .button {
      width: 286px;
      height: 40px;
      line-height: 40px;
      box-shadow: 0px 2px 8px rgba(0, 43, 106, 0.12);
      color: #ff6a00;
      font-size: 14px;
      font-weight: 700;
      text-align: center;
      cursor: pointer;

      &:hover {
        background: linear-gradient(
          90.78deg,
          #ffba4a 0%,
          #ff6a00 20.33%,
          #ff6a00 79.66%,
          #ffba4a 100%
        );
        color: #fff;
      }
    }
  }
}
</style>